%define name wv
%define version 1.0.3
%define real_version 1.0.3
%define release 2%{dist}
%define serial 1

Summary: MSWord 6/7/8/9 binary file format -> HTML converter
Name: %{name}
Version: %{version}
Release: %{release}
Epoch: %{serial}
License: GPL
Group: Office
URL: http://sourceforge.net/projects/wvware/
Source: http://download.sourceforge.net/wvware/%{name}-%{real_version}.tar.gz
Patch: wv-configure.patch.bz2
Patch2: wv-1.2.0-CVE-2006-4513.patch
BuildRequires: XFree86-devel
BuildRequires: glib-devel
BuildRequires: libwmf-devel >= 0.2.8
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel 
BuildRequires: libxml2-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes: mswordview 
Provides: mswordview

%package devel
Summary: MSWord 6/7/8/9 binary file format -> HTML converter (development)
Group: Development/C
Requires: %{name} = %{serial}:%{version}

%description
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

%description devel
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

This is the development package.

%prep
%setup -q -n %{name}-%{version}
%patch -p1 -b .cve-2006-4513

%build
CFLAGS="$RPM_OPT_FLAGS" %configure --with-Magick=/usr/X11R6/include/X11/magick --with-libwmf=/usr --with-expat=/usr --prefix=/usr
make
# uglly hack to remove CVS directory here!
rm -rf `find . -type d -a -name CVS`

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# uggly fix for symlink /usr/bin/wvText to wvConvert.
ln -sf wvConvert $RPM_BUILD_ROOT/%{_bindir}/wvText
# the following file seems not to be used by any wv executable.
#cp $RPM_BUILD_DIR/%{name}/config-mswordview $RPM_BUILD_ROOT/usr/lib/mswordview
rm -f notes/decompress/a.out
# make sure libwv.a is in lib directory
# mv $RPM_BUILD_ROOT%{_datadir}/libwv.a $RPM_BUILD_ROOT%{_libdir}/libwv.a
rm -f $RPM_BUILD_ROOT/usr/lib*/pkgconfig/wv*


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README 
%attr(755,root,root)      %{_bindir}/wv[A-Z]*
%attr(755,root,root) %dir %{_datadir}/wv
%attr(644,root,root)      %{_datadir}/wv/*.xml
%attr(644,root,root)      %{_datadir}/wv/*.dtd
%attr(755,root,root) %dir %{_datadir}/wv/patterns
%attr(644,root,root)      %{_datadir}/wv/patterns/*
%attr(755,root,root) %dir %{_datadir}/wv/wingdingfont
%attr(644,root,root)      %{_datadir}/wv/wingdingfont/*
%attr(644,root,root)      %{_mandir}/man1/*
%attr(755,root,root)      %{_libdir}/libwv-1.0.so.*


%files devel
%defattr(-,root,root)
%doc INSTALL
%attr(644,root,root)      %{_includedir}/wv
%attr(755,root,root)      %{_libdir}/libwv.la
%attr(755,root,root)      %{_libdir}/libwv.so


%changelog
* Mon Nov 27 2006 Josko Plazonic <plazonic@math.princeton.edu>
- add the security patch for 2006-4513

* Tue Feb 22 2005 Josko Plazonic <plazonic@math.princeton.edu>
- upgrade to 1.0.3

* Wed Jul 14 2004 Josko Plazonic <plazonic@math.princeton.edu>
- add the security patch for CAN-2004-0645

* Thu Jan 09 2003 Franois Pons <fpons@mandrakesoft.com> 0.7.4-1mdk
- rebuild with libwmf 0.2.8.

* Tue Nov 12 2002 Stefan van der Eijk <stefan@eijk.nu> 0.7.2-4mdk
- BuildRequires

* Thu Oct 31 2002 Franois Pons <fpons@mandrakesoft.com> 0.7.2-3mdk
- cleaned to really use libwmf and avoid explicit requires on it.
- rebuild with libwmf 0.2.7.

* Tue Jul 02 2002 Franois Pons <fpons@mandrakesoft.com> 0.7.2-2mdk
- corrected dependencies and configure parameter to build with
  support for wmf (from Luca Olivetti <luca@olivetti.cjb.net>).
- added patch to compile (because of this stupid -I/usr/include).

* Tue May 28 2002 Franois Pons <fpons@mandrakesoft.com> 0.7.2-1mdk
- use libwmf 0.2.5.
- 0.7.2.

* Tue Nov 06 2001 Franois Pons <fpons@mandrakesoft.com> 0.7.0-2mdk
- use libwmf 0.2.2.

* Thu Nov  1 2001 Stfane Fermigier <sf@fermigier.com> 0.7.0-1mdk
- 0.7.0.

* Tue Oct 23 2001 Franois Pons <fpons@mandrakesoft.com> 0.6.7-1mdk
- 0.6.7.

* Mon Aug 27 2001 Franois Pons <fpons@mandrakesoft.com> 0.6.5-2mdk
- update %%buildRequires.
- update with newer libwmf.

* Mon Jun 18 2001  Daouda Lo <daouda@mandrakesoft.com> 0.6.5-1mdk
- release 0.6.5 

* Sun Apr 22 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.4-2mdk
- line 360 in Makefile.in causes build fail PPC - patched (why only PPC?)

* Fri Feb 02 2001 Franois Pons <fpons@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4.

* Tue Dec 19 2000 Franois Pons <fpons@mandrakesoft.com> 0.6.2-3mdk
- fixes build requires on libwmf-devel
- added requires on libwmf as some libwmf binaries are used by make_epses.sh
- build with libwmf-0.1.21

* Thu Nov 16 2000 Franois Pons <fpons@mandrakesoft.com> 0.6.2-2mdk
- fixes for wvMime (missing make_epses.sh, thanks to A. Skwar).
- update files to include all man pages too.

* Tue Nov 07 2000 Franois Pons <fpons@mandrakesoft.com> 0.6.2-1mdk
- removed compilation patch.
- remove CVS directory before file list (for doc).
- 0.6.2.

* Fri Oct 20 2000 Franois Pons <fpons@mandrakesoft.com> 0.6.1-1mdk
- more macroszifications.
- 0.6.1.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5.44-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Franois Pons <fpons@mandrakesoft.com> 0.5.44-2mdk
- moved to main to replace old mswordview.
- spec file cleaning and macroszifications.
- split package with devel.
- removed unused /usr/lib/mswordview.

* Wed Jun 28 2000 Sean P. Kane <spkane@spkane.org> 0.5.44-1mdk
- Added configure patch
- Changed name from mswordview to wv
- Added Obsoletes line
- Updated Requires line
- Upgraded to 0.5.44

* Tue Jun 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.14bw6-3mdk
- added support to wmf (by compiling with libwmf installed)

* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.5.14bw6-2mdk
- updated Group.

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- updated to mswordview-0.5.14-bw6
- added install of config-mswordview
- Build Release

* Fri Jul 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to  mswordview-0.5.14-bw3

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix path problems.


* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix compilations problem.
- 0.5.14-bw2

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 5.8.
- Mandrake adaptations.

* Tue Dec 29 1998 Ryan Weaver <ryanw@infohwy.com>
  [mswordview-0.5.2-1]
- Updated to MSWordView-0.5.2
- Changes up to 0.5.2
  * implemented auto text color colour check for table cells, no more
    black on black, or black on blue. i must look closely at what other
    auto changes word makes.
  * some uber-simple greyscaling code when table look says no-color.
  * verified it works under AIX, made a few changes that showed up due
    to its stricter malloc, theres probably a few more malloc related
    issues hiding in there.
  * column breaks show up as well now.
  * the various types of section breaks are distinguisable from the
    others, and from page breaks.
  * a few changes to make sure formatting and tables get on better 
    together.
  * sequence field supported, i.e caption numbering, i just use the last
    fields that msword left in there.
  * changed hyperlinking so that it works with bookmarks that are in
    comments (annotations).
  * i now support multiple bookmarks that end on the same location.
  * multiple bookmarks that start on the same location should be supported,
    but no examples yet.
  * the comment author initials are extracted and used in the main document
    when referencing comments.
  * comments now end when they are supposed to, only the correct comments get
    included, should work for fastsave, not tested.
  * removed unused variables, sorted out a few other warnings, maybe itll
    squeak by the irix compiler now ?
  * names and initial info for comments is extracted as well, and stuck in a 
    table at the end of the document.
  * fixed the <a name= for comments, should work in fast saved.
  * custom graphics for annotations.
